Search documentation of grizzly

# View Source Grizzly.ZWave.CommandClasses.ThermostatFanState (grizzly v7.4.2)

"ThermostatFanState" Command Class

The Thermostat Fan State Command Class is used to obtain the fan operating state of the thermostat.

# Summary

## Types

state()

## Functions

decode_state(byte)
encode_state(atom)

# Types

Link to this type

# state()

View Source

    @type state() ::
      :off
      | :running
      | :running_high
      | :running_medium
      | :circulation
      | :humidity_circulation
      | :right_left_circulation
      | :up_down_circulation
      | :quiet_circulation

# Functions

Link to this function

# decode_state(byte)

View Source

    @spec decode_state(any()) :: {:ok, state()} | {:error, Grizzly.ZWave.DecodeError.t()}

Link to this function

# encode_state(atom)

View Source

    @spec encode_state(state()) :: byte()